const { SPCO_IMPORT_INFO } = require("../models");

// Service to get all records
const getAllImportInfo = async (limit, offset) => {
  try {
    // return await SPCO_IMPORT_INFO.findAll();
    return await SPCO_IMPORT_INFO.findAndCountAll({
      limit: limit,
      offset: offset,
    });
  } catch (error) {
    throw new Error("Error fetching data: " + error.message);
  }
};

module.exports = {
  getAllImportInfo,
};
